Overview | Modules | Class Hierarchy | Classes | Members

# tlp::BooleanVectorProperty Class Reference
[Properties]

`#include <BooleanProperty.h>`

Inherits tlp::AbstractProperty< BooleanVectorType, BooleanVectorType >.

Inheritance diagram for tlp::BooleanVectorProperty:

[legend]
Collaboration diagram for tlp::BooleanVectorProperty:

[legend]
List of all members.

## Public Member Functions

- BooleanVectorProperty (Graph *g, std::string n="")
- PropertyInterface * clonePrototype (Graph *, const std::string &)
- void copy (const node, const node, PropertyInterface *)
- void copy (const edge, const edge, PropertyInterface *)

## Constructor & Destructor Documentation

tlp::BooleanVectorProperty::BooleanVectorProperty | ( | Graph * | g,
|  | std::string | n = `""`
| ) | `[inline]`

Tulip Software by LaBRI Visualization Team 2001 - 2010